Subject: RE: [Megaco] inconsistency in the ASN and ABNF grammars on the MEGACO for the termination ID

From: "Ganesh Kumar" <[email-masked]>
Date: Wed, 23 Nov 2005 18:35:26 +0530

Hello,
	The problem is not with the number of termination ids but with
in the termination id the presence of wildcard and termination id.

	In ASN the termination id contains both wildcard and termination
id as mandatory and wildcard is sequence of that means more than one
wildcard can occur.
	In ABNF the termination id contains choice of wildcard,
pathname, root fields. So in ABNF the termination contains either
wildcard or termination id.

	Here how to make it consistent?

Regards,
Ganesh

-----Original Message-----
From: Tom-PT Taylor [mailto:[email-masked]] 
Sent: Wednesday, November 23, 2005 2:14 AM
To: Ganesh Kumar
Cc: [email-masked]; Rashim Anand; Pankaj Kumar
Subject: Re: [Megaco] inconsistency in the ASN and ABNF grammars on the
MEGACO for the termination ID

I think you'll find a comment with the ASN.1 that the length of the 
TerminationIDList is 1.

Ganesh Kumar wrote:
> Hello,
> 
>  
> 
>             Here I have some question regarding the termination id.
> 
>  
> 
>             The termination id interpretation in ABNF and ASN are
> different.
> 
>  
> 
> Here I am giving the interpretation of termination id in ABNF and ASN
> 
>  
> 
> ABNF
> 
>  
> 
> ammRequest           = (AddToken / MoveToken / ModifyToken ) EQUAL  
> 
>                              TerminationID [LBRKT ammParameter *(COMMA

> 
>                              ammParameter) RBRKT]
> 
>  
> 
>  
> 
>       TransactionID        = UINT32
> 
>       TerminationID        = "ROOT" / pathNAME / "$" / "*" 
> 
>        
> 
>       terminationIDList  = LBRKT TerminationID *(COMMA TerminationID)
> RBRKT
> 
>  
> 
>  
> 
> ASN
> 
>  
> 
>      AmmRequest ::= SEQUENCE 
> 
>       { 
> 
>          terminationID        TerminationIDList, 
> 
>          descriptors          SEQUENCE OF AmmDescriptor, 
> 
>          -- At most one descriptor of each type (see AmmDescriptor) 
> 
>          -- allowed in the sequence. 
> 
>          ...
> 
>       }
> 
>  
> 
> WildcardField ::= OCTET STRING(SIZE(1)) 
> 
>        
> 
>       TerminationID ::= SEQUENCE 
> 
>       { 
> 
>          wildcard       SEQUENCE OF WildcardField,  
> 
>          id             OCTET STRING(SIZE(1..8)), 
> 
>          ... 
> 
>       } 
> 
>       -- See A.1 for explanation of wildcarding mechanism. 
> 
>       -- Termination ID 0xFFFFFFFFFFFFFFFF indicates the ROOT
> Termination. 
> 
>        
> 
>       TerminationIDList ::= SEQUENCE OF TerminationID
> 
>  
> 
>  
> 
>  
> 
> In the ABNF the AmmRequest contains terminationID but in the ASN
> AmmRequest contains terminationIDList.
> 
>  
> 
>  
> 
> Then how to make both consistent?
> 
>  
> 
> Thanks,
> 
> Ganesh
> 
> 
> 
> 
>
------------------------------------------------------------------------
> 
> _______________________________________________
> Megaco mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco